appcan.button("#nav-left", "btn-act", function() {
    appcan.window.close(-1);
});

appcan.ready(function() {
    userInfo();
    getHeadPic(appcan.locStorage.val('userId'));
    uexXmlHttpMgr.onData = httpSuccess;
})
function getHeadPic(userId) {
    if (userId == null) {
        appcan.window.alert({
            title : '提示信息',
            content : "获取用户信息失败！",
            buttons : '确定'
        });
        return;
    }
    showLoading();
    var dc = new ep.DataCenter();
    uexXmlHttpMgr.open(30, "POST", appcan.locStorage.val('sip') + "getHeadPic", "6000");
    dc.setParameter("userId", userId);
    uexXmlHttpMgr.setPostData(30, "0", "data", dc.toJson());
    uexXmlHttpMgr.setPostData(30, "0", "sign", hex_md5(getSign(dc)));
    uexXmlHttpMgr.send(30);
}

function userInfo() {
    $("#realname")[0].value = appcan.locStorage.val('realName');
    $("#name")[0].innerHTML = appcan.locStorage.val('userName');
    $("#phone")[0].innerHTML = appcan.locStorage.val('telephone');
}

function phone() {
    appcan.window.open("myInfo_changephone", "myInfo_changephone.html", 10)
}

appcan.button("#commit", "btn-act", function() {
    var userId = appcan.locStorage.val('userId');
    var userRealname = $('#realname').val();
    var userRealnamelen = userRealname.replace(/[\u0391-\uFFE5]/g, "aa").length;
    if (userRealnamelen < 1) {

        appcan.window.alert({
            title : '提示信息',
            content : '昵称不能为空',
            buttons : '确定',
        });
        return;
    }
    if (userRealnamelen > 10) {

        appcan.window.alert({
            title : '提示信息',
            content : '昵称最大输入16个汉字或32个字符',
            buttons : '确定',
        });
        return;
    }

    uexXmlHttpMgr.open(1, "POST", appcan.locStorage.val('sip') + "updateUserRealName", "6000");
    var dc = new ep.DataCenter();
    dc.setParameter("USER_ID", userId);
    dc.setParameter("USER_RNAME", userRealname);
    uexXmlHttpMgr.setPostData(1, "0", "data", dc.toJson());
    uexXmlHttpMgr.setPostData(1, "0", "sign", hex_md5(getSign(dc)));
    uexXmlHttpMgr.send(1);
});
function httpSuccess(opid, state, result) {
    uexXmlHttpMgr.close(opid);
    if (opid == 1) {
        var data = jq.isString(result) ? jq.fromJson(result) : result;
        var returnvalue = data.parameters.result.parameters.strResult;
        //flag 0是成功 1是失败
        if (returnvalue == "1") {
            appcan.window.alert({
                title : '提示信息',
                content : '保存失败',
                buttons : '确定',
                callback : function(err, data, dataType, optId) {

                }
            });
        } else {
            appcan.window.alert({
                title : '提示信息',
                content : '保存成功',
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
                    appcan.window.evaluatePopoverScript({
                        name : 'root',
                        popName : 'content',
                        scriptContent : 'titleInfo()'
                    });
                }
            });
        };
    } else if (opid == 2) {
        var data = jq.isString(result) ? jq.fromJson(result) : result;
        var strResult = data.parameters.result.parameters.strResult;
        if (strResult.split(",")[0] == "0") {
            appcan.locStorage.remove('identifier');
            appcan.locStorage.remove('userId');
            appcan.locStorage.remove('userName');
            appcan.locStorage.remove('password');
            appcan.locStorage.remove('realName');
            appcan.locStorage.remove('telephone');
            appcan.locStorage.remove('consNo');
            appcan.locStorage.remove('consName');
            appcan.locStorage.remove('elecAddr');
            appcan.locStorage.remove('orgNo');
            appcan.window.open('login', '../01login/login.html', 10);
            appcan.window.evaluatePopoverScript({
                name : 'root',
                popName : 'content',
                scriptContent : 'titleInfo()'
            });
            appcan.window.close(-1);
        } else {
            appcan.window.alert({
                title : '提示信息',
                content : strResult.split(",")[1],
                buttons : '确定'
            });
        }
    } else if (opid == 3) {
        var data = jq.isString(result) ? jq.fromJson(result) : result;
        var strResult = data.parameters.result.parameters.strResult;
        if (strResult.split(",")[0] == "0") {
            clearDevice();
        } else {
            appcan.window.alert({
                title : '提示信息',
                content : strResult.split(",")[1],
                buttons : '确定'
            });
        }
    } else if (opid == 30) {
        closeLoading();
        var data = jq.isString(result) ? jq.fromJson(result) : result;
        var strResult = data.parameters.result.parameters.strResult;
        if (strResult.split(",")[0] == "0") {
            appcan.locStorage.setVal('iconURL', strResult.split(",")[1]);
            $("#headPic").attr("src", "data:image/png;base64," + strResult.split(",")[1]);
        } else if (strResult.split(",")[0] == "2") {
            $("#headPic").attr("src", headURL);
        } else {
            $("#headPic").attr("src", headURL);
            appcan.window.alert({
                title : '提示信息',
                content : strResult.split(",")[1],
                buttons : '确定'
            });
        }
    }
}

appcan.button("#exit", "btn-act", function() {
    appcan.window.confirm({
        title : '提示',
        content : "确认要退出吗？",
        buttons : ['确定', '取消'],
        callback : function(err, data, dataType, optId) {
            if (data == 0) {
                clearDevice();
            }
        }
    });

});

appcan.button("#cancle", "btn-act", function() {
    appcan.window.confirm({
        title : '提示',
        content : "确认要注销账号吗？（此操作会取消已绑定户号，并且此操作不可回退）",
        buttons : ['确定', '取消'],
        callback : function(err, data, dataType, optId) {
            if (data == 0) {
                cancleUser(appcan.locStorage.getVal("userId"));
            }
        }
    });

});

function cancleUser(userId) {
    if (userId == null) {
        appcan.window.alert({
            title : '提示信息',
            content : "获取用户信息失败！",
            buttons : '确定'
        });
        return;
    }
    var dc = new ep.DataCenter();
    uexXmlHttpMgr.open(3, "POST", appcan.locStorage.val('sip') + "cancleUser", "6000");
    dc.setParameter("userId", userId);
    uexXmlHttpMgr.setPostData(3, "0", "data", dc.toJson());
    uexXmlHttpMgr.setPostData(3, "0", "sign", hex_md5(getSign(dc)));
    uexXmlHttpMgr.send(3);
}

function clearDevice() {
    var RegistrationID = uexJPush.getRegistrationID();
    var dc = new ep.DataCenter();
    uexXmlHttpMgr.open(2, "POST", appcan.locStorage.val('sip') + "clearDevice", "6000");
    dc.setParameter("RegistrationID", RegistrationID);
    uexXmlHttpMgr.setPostData(2, "0", "data", dc.toJson());
    uexXmlHttpMgr.setPostData(2, "0", "sign", hex_md5(getSign(dc)));
    uexXmlHttpMgr.send(2);
}
