appcan.button("#nav-left", "btn-act", function() {
    appcan.window.close(-1);
});
var contactId = "";
var tel = "";
var timer1 = "";
var time = 60;
var flag = 0;
var subFlag = 0;
var comFlag = 0;
appcan.ready(function() {
    showLoading();
    userInfo();
    uexXmlHttpMgr.onData = httpSuccess;
})
function userInfo() {
    var dc = new ep.DataCenter();
    uexXmlHttpMgr.open(10, "POST", appcan.locStorage.val('sip') + "queryUserInfo", "6000");
    dc.setParameter("cons_no", appcan.locStorage.getVal("consNo"));
    uexXmlHttpMgr.setPostData(10, "0", "data", dc.toJson());
    uexXmlHttpMgr.setPostData(10, "0", "sign", hex_md5(getSign(dc)));
    uexXmlHttpMgr.send(10);
}

appcan.button("#commit", "btn-act", function() {
    if (comFlag == 1) {
        appcan.window.alert({
            title : '提示信息',
            content : '请勿重复提交!',
            buttons : '确定',
            callback : function(err, data, dataType, optId) {
            }
        });
        return;
    }
    if (subFlag == 0) {
        appcan.window.alert({
            title : '提示信息',
            content : '无账务联系方式无法在此页面修改，请前往就近营业厅！',
            buttons : '确定',
            callback : function(err, data, dataType, optId) {
            }
        });
        return;
    }
    var contactName = $('#contactName').val();
    var contactNamelen = contactName.replace(/[\u0391-\uFFE5]/g, "aa").length;
    if (contactNamelen < 1) {

        appcan.window.alert({
            title : '提示信息',
            content : '姓名不能为空',
            buttons : '确定',
        });
        return;
    }
    if (contactNamelen > 10) {

        appcan.window.alert({
            title : '提示信息',
            content : '姓名最大输入16个汉字或32个字符',
            buttons : '确定',
        });
        return;
    }
    showLoading();
    uexXmlHttpMgr.open(1, "POST", appcan.locStorage.val('sip') + "updateUserInfo", "6000");
    var dc = new ep.DataCenter();
    dc.setParameter("contactName", contactName);
    dc.setParameter("contactId", contactId);
    dc.setParameter("officeTel", $("#officeTel").val());
    dc.setParameter("mobile", $("#mobile").val());
    dc.setParameter("smsCode", $("#code").val());
    uexXmlHttpMgr.setPostData(1, "0", "data", dc.toJson());
    uexXmlHttpMgr.setPostData(1, "0", "sign", hex_md5(getSign(dc)));
    uexXmlHttpMgr.send(1);
});

//获取验证码
document.getElementById("yzm").onclick = function() {
    if (subFlag == 0) {
        appcan.window.alert({
            title : '提示信息',
            content : '无账务联系方式无法在此页面修改，请前往就近营业厅！',
            buttons : '确定',
            callback : function(err, data, dataType, optId) {
            }
        });
        return;
    }
    if (flag == 1) {
    } else {
        tel = $("#mobile").val();
        if (!(/^1\d{10}$/.test(tel))) {
            appcan.window.alert({
                title : '提示信息',
                content : '请输入正确手机号',
                buttons : '确定',
                callback : function(err, data, dataType, optId) {
                }
            });
        } else {
            timer1 = setInterval(function() {
                flag = 1;
                time--;
                $('#yzm')[0].innerHTML = time + "s";
                $("#yzm").attr("readonly", "readonly");
                if (time == 0) {
                    time = 60;
                    clearInterval(timer1);
                    $('#yzm')[0].innerHTML = "点击获取";
                    $("#yzm").attr("readonly", "");
                    flag = 0;
                }
            }, 1000);

            httpSEND(tel);
        }
    }
}
function httpSEND(tel) {
    var cIMEI = uexDevice.getInfo('10');
    var keyHex = CryptoJS.enc.Utf8.parse(buildKey());
    var encrypted = CryptoJS.DES.encrypt(tel, keyHex, {
        mode : CryptoJS.mode.ECB,
        padding : CryptoJS.pad.Pkcs7
    });

    uexXmlHttpMgr.open(2, "POST", appcan.locStorage.val('sip') + "getSmsCode", "6000");
    var signStr = "";
    var params = {};
    params["MAC"] = cIMEI;
    params["TEL"] = encrypted.toString();
    params["THING"] = "修改账务联系方式";
    Object.keys(params).forEach(function(key) {
        signStr += key + "=" + params[key] + "&";

    });
    signStr += "sign=" + sign_Str;
    signStr = hex_md5(signStr);

    uexXmlHttpMgr.setPostData(2, "0", "TEL", encrypted.toString());
    uexXmlHttpMgr.setPostData(2, "0", "MAC", cIMEI);
    uexXmlHttpMgr.setPostData(2, "0", "THING", "修改账务联系方式");
    uexXmlHttpMgr.setPostData(2, "0", "sign", signStr);
    uexXmlHttpMgr.send(2);
}

function httpSuccess(opid, state, result) {
    uexXmlHttpMgr.close(opid);
    closeLoading();
    if (opid == 1) {
        var data = jq.isString(result) ? jq.fromJson(result) : result;
        var returnvalue = data.parameters.result.parameters.strResult;
        if (returnvalue.split(",")[0] == "1") {
            appcan.window.alert({
                title : '提示信息',
                content : returnvalue.split(",")[1],
                buttons : '确定',
            });
        } else if (returnvalue.split(",")[0] == "0") {
            appcan.window.alert({
                title : '提示信息',
                content : "更新成功!",
                buttons : '确定',
            });
            comFlag = 1;
        }
    } else if (opid == 10) {
        var data = jq.isString(result) ? jq.fromJson(result) : result;
        var returnvalue = data.parameters.result.parameters.strResult;
        if (returnvalue.split(",")[0] == "0") {
            subFlag = 0;
            appcan.window.alert({
                title : '提示信息',
                content : returnvalue.split(",")[1],
                buttons : '确定',
            });
        } else if (returnvalue.split(",")[0] == "1") {
            subFlag = 1;
            contactId = returnvalue.split(",")[1].split("|")[0];
            $("#contactName").val(returnvalue.split(",")[1].split("|")[1]);
            $("#officeTel").val(returnvalue.split(",")[1].split("|")[2]);
            $("#mobile").val(returnvalue.split(",")[1].split("|")[3]);
        }
    } else if (opid == 2) {
        var data = jq.isString(result) ? jq.fromJson(result) : result;
        data = data.parameters.result;
        var res = result.split("&")[0].split("=")[1]
        if (res == "0" || res == 0) {
            appcan.window.alert({
                title : '提示信息',
                content : '验证码发送成功!',
                buttons : '确定'
            });
        } else {
            appcan.window.alert({
                title : '提示信息',
                content : result.split("&")[1].split("=")[1],
                buttons : '确定'
            });
        }
    }
}

